## org.apache.jasper.compiler
Class ServletWriter

    java.lang.Object
      org.apache.jasper.compiler.ServletWriter

public class ServletWriter
extends java.lang.Object

This is what is used to generate servlets.

Author:
  Anil K. Vijendran, Kin-man Chung

Field Summary
`static java.lang.String` `SPACES`
`static int` `TAB_WIDTH`

Constructor Summary
`ServletWriter(java.io.PrintWriter writer)`

Method Summary
`void` `close()`
`int` `getJavaLine()`
`void` `popIndent()`
`void` `print(char c)` Prints the given char.
`void` `print(java.lang.String s)` Prints the given string.
`void` `printComment(Mark start, Mark stop, char[] chars)` Print a standard comment for echo outputed chunk.
`void` `printil(java.lang.String s)` Prints the current indention, and then the string, and a '\n'.
`void` `printin()` Prints the current indention
`void` `printin(java.lang.String s)` Prints the current indention, followed by the given string
`void` `println()` Prints a '\n'
`void` `println(java.lang.String s)` Prints the given string followed by '\n'
`void` `printMultiLn(java.lang.String s)` Prints the given string.
`void` `pushIndent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAB_WIDTH

    public static int TAB_WIDTH

### SPACES

    public static java.lang.String SPACES

Constructor Detail

### ServletWriter

    public ServletWriter(java.io.PrintWriter writer)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getJavaLine

    public int getJavaLine()

### pushIndent

    public void pushIndent()

### popIndent

    public void popIndent()

### printComment

    public void printComment(Mark start,
                             Mark stop,
                             char[] chars)

  Print a standard comment for echo outputed chunk.

  Parameters:
    `start` - The starting position of the JSP chunk being processed.
    `stop` - The ending position of the JSP chunk being processed.

### println

    public void println(java.lang.String s)

  Prints the given string followed by '\n'

### println

    public void println()

  Prints a '\n'

### printin

    public void printin()

  Prints the current indention

### printin

    public void printin(java.lang.String s)

  Prints the current indention, followed by the given string

### printil

    public void printil(java.lang.String s)

  Prints the current indention, and then the string, and a '\n'.

### print

    public void print(char c)

  Prints the given char. Use println() to print a '\n'.

### print

    public void print(java.lang.String s)

  Prints the given string. The string must not contain any '\n', otherwise the line count will be off.

### printMultiLn

    public void printMultiLn(java.lang.String s)

  Prints the given string. If the string spans multiple lines, the line count will be adjusted accordingly.

Copyright ? 2000 Apache Software Foundation. All Rights Reserved.